/**
 * Laboratorul 1 SO (http://elf.cs.pub.ro/so/wiki/)
 * Java Native Interface example
 * 
 * See also:
 *  - http://java.sun.com/developer/onlineTraining/Programming/JDCBook/jniexamp.html
 *  - http://www.think-techie.com/2009/08/java-native-interface-jni.html
 */
public class Caller {
	private final static String NATIVE_LIB = "native";
	
	// O functie nativa - dependenta de platforma
	native int sumArray(int[] arr);

	static {
		System.loadLibrary(NATIVE_LIB);
	}

	public static void main(String[] args) {
		Caller caller = new Caller();
		int[] data = new int[] { 200, 1, 2, 3, 4, 6, 7, 8, 9, 10 };
		
		// Apelarea functiei native si afisarea rezultatului
		System.out.println("Suma este: " + caller.sumArray(data));
	}
}
